<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."upload_system/infusion_db.php";

// Infusion general information
$inf_title = "Upload System";
$inf_description = "Upload System";
$inf_version = "1.0";
$inf_developer = "Luben/Kirov";
$inf_email = "webmaster@sharky-web.com";
$inf_weburl = "http://www.sharky-web.com";

$inf_folder = "upload_system"; // The folder in which the infusion resides.


$inf_newtable[1] = DB_TEMP_DOWNLOADS." (
`download_id` smallint(5) unsigned NOT NULL auto_increment,
`download_title` varchar(100) NOT NULL default '',
`download_description` text NOT NULL,
`download_url` varchar(200) NOT NULL default '',
`download_cat` smallint(5) unsigned NOT NULL default '0',
`download_license` varchar(50) NOT NULL default '',
`download_os` varchar(50) NOT NULL default '',
`download_version` varchar(20) NOT NULL default '',
`download_filesize` varchar(20) NOT NULL default '',
`download_datestamp` int(10) unsigned NOT NULL default '0',
`download_count` smallint(5) unsigned NOT NULL default '0',
PRIMARY KEY  (`download_id`)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_SHARKY_UPLOAD." (
`id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
`pon` int(2) NOT NULL default '0',
`type` varchar(50) NOT NULL default '',
`name` varchar(50) NOT NULL default '',
`size` int(25) NOT NULL,
 PRIMARY KEY(`id`)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SHARKY_UPLOAD." VALUES ('','0','application/octet-stream','EXE','1000000')";
$inf_insertdbrow[2] = DB_SHARKY_UPLOAD." VALUES ('','0','application/vnd.ms-excel','Microsoft Excel','1000000')";
$inf_insertdbrow[3] = DB_SHARKY_UPLOAD." VALUES('','0','application/vnd.ms-powerpoint','Microsoft PowerPoint','1000000')";
$inf_insertdbrow[4] = DB_SHARKY_UPLOAD." VALUES ('','0','application/pdf','PDF','1000000')";
$inf_insertdbrow[5] = DB_SHARKY_UPLOAD." VALUES ('','0','application/msword','Microsoft Word','1000000')";
$inf_insertdbrow[6] = DB_SHARKY_UPLOAD." VALUES ('','0','application/x-gzip','GZip','1000000')";
$inf_insertdbrow[7] = DB_SHARKY_UPLOAD." VALUES('','0','application/x-shockwave-flash','Macromedia Shockwave','1000000')";
$inf_insertdbrow[8] = DB_SHARKY_UPLOAD." VALUES('','0','application/x-zip-compressed','ZIP','1000000')";
$inf_insertdbrow[9] = DB_SHARKY_UPLOAD." VALUES('','0','application/x-rar-compressed','RAR','1000000')";
$inf_insertdbrow[10] = DB_SHARKY_UPLOAD." VALUES('','0','audio/mpeg','MP3','1000000')";
$inf_insertdbrow[11] = DB_SHARKY_UPLOAD." VALUES('','0','audio/x-wav','WAV','1000000')";
$inf_insertdbrow[12] = DB_SHARKY_UPLOAD." VALUES('','0','video/mpeg','MPG','1000000')";
$inf_insertdbrow[13] = DB_SHARKY_UPLOAD." VALUES('','0','video/x-msvideo','AVI','1000000')";

$inf_droptable[1] = DB_TEMP_DOWNLOADS;
$inf_droptable[2] = DB_SHARKY_UPLOAD;

$inf_adminpanel[1] = array(
	"title" => "Upload Admin",
	"image" => "icon_upload.jpg",
	"panel" => "upload_admin.php",
	"rights" => "SUS"
);

$inf_sitelink[1] = array(
	"title" => "Upload",
	"url" => "up.php",
	"visibility" => "101"
);

?>